## minimap 0.1.0

=== DESCRIPTION ===
Package: minimap
Type: Package
Title: Create Tile Grid Maps
Version: 0.1.0
Date: 2016-02-17
Authors@R: person("Sean", "Kross", , "sean@seankross.com", c("aut", "cre"))
Description: Create tile grid maps, which are like choropleth maps except each
  region is represented with equal visual space.
Depends: R (>= 3.1.0), graphics
Suggests: testthat
License: MIT + file LICENSE
LazyData: TRUE
Encoding: UTF-8
URL: http://github.com/seankross/minimap
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-02-18 04:41:10 UTC; sean
Author: Sean Kross [aut, cre]
Maintainer: Sean Kross <sean@seankross.com>
Repository: CRAN
Date/Publication: 2016-02-18 06:51:34

## minimap 0.2

=== Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2 -Wc++-compat -Wno-unused-function
CPPFLAGS=
INCLUDES=	-I.
OBJS=		kthread.o misc.o bseq.o sketch.o sdust.o index.o map.o
PROG=		minimap
PROG_EXTRA=	sdust minimap-lite
LIBS=		-lm -lz -lpthread

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(CPPFLAGS) $(INCLUDES) $< -o $@

all:$(PROG)

extra:all $(PROG_EXTRA)

minimap:main.o libminimap.a
		$(CC) $(CFLAGS) $< -o $@ -L. -lminimap $(LIBS)

minimap-lite:example.o libminimap.a
		$(CC) $(CFLAGS) $< -o $@ -L. -lminimap $(LIBS)

libminimap.a:$(OBJS)
		$(AR) -csru $@ $(OBJS)

sdust:sdust.c kdq.h kvec.h kseq.h sdust.h
		$(CC) -D_SDUST_MAIN $(CFLAGS) $< -o $@ -lz

clean:
		rm -fr gmon.out *.o a.out $(PROG) $(PROG_EXTRA) *~ *.a *.dSYM session*

depend:
		(LC_ALL=C; export LC_ALL; makedepend -Y -- $(CFLAGS) $(DFLAGS) -- *.c)

# DO NOT DELETE

bseq.o: bseq.h kseq.h
example.o: minimap.h bseq.h kseq.h
index.o: minimap.h bseq.h kvec.h khash.h
main.o: minimap.h bseq.h
map.o: bseq.h kvec.h minimap.h sdust.h ksort.h
misc.o: minimap.h bseq.h ksort.h
sdust.o: kdq.h kvec.h sdust.h
sketch.o: kvec.h minimap.h bseq.h

=== debian/changelog ===
minimap (0.2-8) unstable; urgency=medium

  * Enable building twice in a row.
    Closes: #1049859
  * Bump Standards-Version.
  * Bump d/copyright date.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 12 Dec 2023 15:57:39 +0100

minimap (0.2-7) unstable; urgency=medium

  * Bump Standards-Version.
  * Fix watchfile format.
  * Bump d/copyright date.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 19 Oct 2022 16:29:56 +0200

minimap (0.2-6) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libminimap-dev, libminimap0: Add Multi-Arch: same.

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 10:26:06 +0200

minimap (0.2-5) unstable; urgency=medium

  * YAML lint and ref to conda (thanks Steffen Moeller).
  * Fix EDAM syntax (thanks Andreas Tille).
  * Use secure format URL in d/copyright.
  * Update copyright date in d/copyright.
  * Use debhelper-compat 12.
  * Bump Standards-Version.
  * Add missing DEP-12 fields.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 18 Apr 2020 14:33:15 +0200

minimap (0.2-4) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Drop unneeded Testsuite: autopkgtest

 -- Andreas Tille <tille@debian.org>  Sun, 29 Jul 2018 04:05:52 +0200

minimap (0.2-3) unstable; urgency=medium

  * Add missing header files.
  * Adjust autopkgtest to build example outside of upstream source.
  * Update uploader email.
  * Bump Standards-Version with no changes.
  * Use secure Vcs-Git.
  * Enable +bindnow.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 31 Jul 2016 17:06:30 +0000

minimap (0.2-2) unstable; urgency=medium

  * Fix building on 32-bit archs.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 13 Jan 2016 22:18:46 +0000

minimap (0.2-1) unstable; urgency=low

  * Initial packaging (Closes: #810600)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 10 Jan 2016 11:34:09 +0000

=== debian/control ===
Source: minimap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               zlib1g-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/minimap
Vcs-Git: https://salsa.debian.org/med-team/minimap.git
Homepage: https://github.com/lh3/minimap
Rules-Requires-Root: no

Package: minimap
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zlib1g
Description: tool for approximate mapping of long biosequences such as DNA reads
 Minimap is an experimental tool to efficiently find multiple approximate
 mapping positions between two sets of long biological sequences, such as
 between DNA reads and reference genomes, between genomes and between long
 noisy reads.
 Minimap does not generate alignments as of now and because of this, it is
 usually tens of times faster than mainstream aligners.
 It does not replace mainstream aligners, but it can be useful when you
 want to quickly identify long approximate matches at moderate divergence among
 a huge collection of sequences. For this task, it is much faster than most
 existing tools.

Package: libminimap0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         zlib1g
Multi-Arch: same
Description: library for approximate mapping of long biosequences
 Minimap is an experimental tool to efficiently find multiple approximate
 mapping positions between two sets of long sequences, such as between DNA
 reads and reference genomes, between genomes and between long noisy reads.
 .
 This package contains a shared library offering the minimap API to custom C
 programs.

Package: libminimap-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libminimap0 (= ${binary:Version}),
         zlib1g-dev
Multi-Arch: same
Description: development headers for libminimap
 Minimap is an experimental tool to efficiently find multiple approximate
 mapping positions between two sets of long sequences, such as between
 DNA reads and reference genomes, between genomes and between long noisy reads.
 .
 This package contains the C library headers for using minimap in custom tools,
 along with a static library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@


override_dh_auto_build:
	cp $(CURDIR)/*.h debian/
	dh_auto_build

override_dh_auto_install:
	ln -s libminimap.so.* libminimap.so
	d-shlibmove --commit \
                    --multiarch \
                    --devunversioned \
                    --movedev "*.h" /usr/include/minimap \
                    libminimap.so
	test ! -e debian/bseq.h || mv debian/*.h $(CURDIR)

override_dh_auto_clean:
	dh_auto_clean
	test ! -e debian/bseq.h || mv debian/*.h $(CURDIR)

=== debian/watch ===
version=4
https://github.com/lh3/minimap/tags .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
